package ru.yandex.webmaster3.admin.action.mirrors;

import ru.yandex.webmaster3.admin.security.action.AbstractAdminRequest;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.viewer.http.request.AbstractFrontendRequest;

import java.util.UUID;

/**
 * @author tsyplyaev
 */
public class GetMirrorRequestRequest extends AbstractAdminRequest {
    private String hostName;
    private UUID requestId;

    @RequestQueryProperty(required = true)
    public void setRequestId(UUID requestId) {
        this.requestId = requestId;
    }

    public UUID getRequestId() {
        return requestId;
    }

    public String getHostName() {
        return hostName;
    }

    @RequestQueryProperty(required = true)
    public void setHostName(String hostName) {
        this.hostName = hostName;
    }
}
